# Linux Kernel Module Cheat

##### 38.16.1.1. Test arch and emulator selection

You can select multiple archs and emulators of interest, as for an other command, with:

    ./test-executables \
      --arch x86_64 \
      --arch aarch64 \
      --emulator gem5 \
      --emulator qemu \
    ;

You can also test all supported archs and emulators with:

    ./test-executables \
      --all-archs \
      --all-emulators \
    ;

This command would run the test four times, using `x86_64` and `aarch64` with both gem5 and QEMU.

Without those flags, it defaults to just running the default arch and emulator once: `x86_64` and `qemu`.